Name:		xiccd
Summary:	X color profile daemon
Version:	0.4.1
Release:	%mkrel 1
License:	GPLv3+
Group:		System/X11
URL:		https://github.com/agalakhov/xiccd
Source0:	https://github.com/agalakhov/xiccd/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(colord)

%description
xiccd is a simple bridge between colord and X. It does the following tasks:

 * Enumerates displays and register them in colord;
 * Creates default ICC profiles based on EDID data;
 * Applies ICC profiles provided by colord;
 * Maintains user's private ICC storage directory.

%prep
%setup -q

%build
aclocal;autoconf;automake --add-missing --copy --foreign
%configure
%make_build

%install
%make_install

%files
%license COPYING
%doc ChangeLog README.md
%{_sysconfdir}/xdg/autostart/xiccd.desktop
%{_bindir}/xiccd
%{_mandir}/man8/xiccd.8*


%changelog
* Sat Jan 18 2025 daviddavid <daviddavid> 0.4.1-1.mga10
+ Revision: 2139656
- new version: 0.4.1 (thanks to Aurelian R, mga#33938)
+ danf <danf>
- Fix source URL

* Mon Mar 21 2022 umeabot <umeabot> 0.3.0-3.mga9
+ Revision: 1811906
- Mageia 9 Mass Rebuild

* Sun Feb 16 2020 umeabot <umeabot> 0.3.0-2.mga8
+ Revision: 1530484
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Aug 29 2019 wally <wally> 0.3.0-1.mga8
+ Revision: 1435058
- imported package xiccd

